description

# DedicatedWorkerGlobalScope class Null safety

Inheritance
  - Object
  - EventTarget
  - WorkerGlobalScope
  - DedicatedWorkerGlobalScope
Annotations
  - @Native("DedicatedWorkerGlobalScope")

## Properties

addressSpace → String?
  read-only, inherited
caches → CacheStorage?
  read-only, inherited
crypto → Crypto?
  read-only, inherited
hashCode → int
  The hash code for this object. [...]
  read-only, inherited
indexedDB → IdbFactory?
  read-only, inherited
isSecureContext → bool?
  read-only, inherited
location → _WorkerLocation
  read-only, inherited
navigator → _WorkerNavigator
  read-only, inherited
on → Events
  This is an ease-of-use accessor for event streams which should only be used when an explicit accessor is not available.
  read-only, inherited
onError → Stream<Event>
  Stream of `error` events handled by this WorkerGlobalScope.
  read-only, inherited
onMessage → Stream<MessageEvent>
  Stream of `message` events handled by this DedicatedWorkerGlobalScope.
  read-only
origin → String?
  read-only, inherited
performance → WorkerPerformance?
  read-only, inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only, inherited
self → WorkerGlobalScope
  read-only, inherited

## Methods

addEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
atob(String atob) → String
  inherited
btoa(String btoa) → String
  inherited
close() → void
dispatchEvent(Event event) → bool
  inherited
fetch(dynamic input, [Map? init]) → Future
  inherited
importScripts(String urls) → void
  inherited
noSuchMethod(Invocation invocation) → dynamic
  Invoked when a non-existent method or property is accessed. [...]
  inherited
postMessage(dynamic message, [List<Object>? transfer]) → void
removeEventListener(String type, EventListener? listener, [bool? useCapture]) → void
  inherited
requestFileSystemSync(int type, int size) → _DOMFileSystemSync
  @JSName('webkitRequestFileSystemSync'), @SupportedBrowser(SupportedBrowser.CHROME), @SupportedBrowser(SupportedBrowser.SAFARI)
resolveLocalFileSystemSyncUrl(String url) → _EntrySync
  @JSName('webkitResolveLocalFileSystemSyncURL'), @SupportedBrowser(SupportedBrowser.CHROME), @SupportedBrowser(SupportedBrowser.SAFARI)
toString() → String
  Returns a string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator. [...]
  inherited

## Static Properties

instance → DedicatedWorkerGlobalScope
  read-only, override

## Constants

messageEvent → const EventStreamProvider<MessageEvent>
  Static factory designed to expose `message` events to event handlers that are not necessarily instances of DedicatedWorkerGlobalScope. [...]
  `const EventStreamProvider<MessageEvent>('message')`
PERSISTENT → const int
  `1`
TEMPORARY → const int
  `0`